Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortalGroupHierarchyPK

    java.lang.Object
      |
      +--com.beasys.portal.ejb.PortalGroupHierarchyPK

public class PortalGroupHierarchyPK
extends java.lang.Object
implements java.io.Serializable

The primary key for the PortalGroupHiearchy.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `groupId` The group id.
`java.lang.String` | `portalId` The portal id.

Constructor Summary
`PortalGroupHierarchyPK()` Default constructor.
`PortalGroupHierarchyPK(java.lang.String aPortalId, java.lang.String aGroupId)` Portal group hierarchy primary key.

Method Summary
`boolean` | `equals(java.lang.Object theOther)` Check for object equality.
`java.lang.String` | `getGroupId()` Get group id.
`java.lang.String` | `getPortalId()` Get portal id.
`void` | `setGroupId(java.lang.String aGroupId)` Set group id.
`void` | `setPortalId(java.lang.String aPortalId)` Set portal id.
`java.lang.String` | `toString()` String representation of the Id.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### groupId

    public java.lang.String groupId

  The group id.

### portalId

    public java.lang.String portalId

  The portal id.

Constructor Detail

### PortalGroupHierarchyPK

    public PortalGroupHierarchyPK()

  Default constructor.

### PortalGroupHierarchyPK

    public PortalGroupHierarchyPK(java.lang.String aPortalId,
                                  java.lang.String aGroupId)

  Portal group hierarchy primary key.
  Parameters:
    `aPortalId` - the portal id.
    `aGroupId` - the group id.

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  Check for object equality.
  Overrides:
    equals in class java.lang.Object
  Parameters:
    `theOther` - the object to check against.
  Returns:
    `boolean` are they equal? true/false.

### toString

    public java.lang.String toString()

  String representation of the Id.
  Overrides:
    toString in class java.lang.Object
  Returns:
    the string rep.

### setGroupId

    public void setGroupId(java.lang.String aGroupId)

  Set group id.
  Parameters:
    `aGroupId` - the group id.

### getGroupId

    public java.lang.String getGroupId()

  Get group id.
  Returns:
    `String` the group id.

### setPortalId

    public void setPortalId(java.lang.String aPortalId)

  Set portal id.
  Parameters:
    `aPortalId` - the portal id.

### getPortalId

    public java.lang.String getPortalId()

  Get portal id.
  Returns:
    `String` the portal id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved